# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::PicArray Class Reference

A class for picture component data. More...

`#include <common.h>`

Inheritance diagram for dirac::PicArray:

List of all members.

## Public Member Functions

- PicArray ()
    Default constructor.
- PicArray (int height, int width, CompSort cs=Y_COMP)
    Constructor.
- ~PicArray ()
    Destructor.
- const CompSort & CSort () const
    Return which component is stored.
- void SetCSort (const CompSort cs)
    Set the type of component being stored.

## Private Attributes

- CompSort m_csort

## Detailed Description

A class for encapsulating picture data, derived from TwoDArray.

## Constructor & Destructor Documentation

dirac::PicArray::PicArray | ( |  | ) | `[inline]`

Default constructor creates an empty array.

dirac::PicArray::PicArray | ( | int | height,
|  | int | width,
|  | CompSort | cs = `Y_COMP` |
| ) |  |  | `[inline]`

Contructor creates a two-D array, with specified size and colour format.

dirac::PicArray::~PicArray | ( |  | ) | `[inline]`

## Member Function Documentation

const CompSort& dirac::PicArray::CSort | ( |  | ) | const`[inline]`

References m_csort.

void dirac::PicArray::SetCSort | ( | const CompSort | cs | ) | `[inline]`

References m_csort.

## Member Data Documentation

CompSort dirac::PicArray::m_csort`[private]`

Referenced by CSort(), and SetCSort().

The documentation for this class was generated from the following file:

- common.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.